Bug 56726 - K12LTSP: Distribution should have a "thin client" mode, or docs on how to set one up
K12LTSP: Distribution should have a "thin client" mode, or docs on how to set...
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: distribution (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-26 10:55 EST by Jeff Johnson
Modified: 2014-03-16 22:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-01 15:41:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
LTSP hacks: enable xdmcp & bump up number of sessions (1.01 KB, patch)
2001-11-26 10:59 EST, Jeff Johnson
no flags Details | Diff

  None (edit)
Description Jeff Johnson 2001-11-26 10:55:51 EST
Can you look at integrating the attached patch? Thanks.
Comment 1 Jeff Johnson 2001-11-26 10:59:00 EST
Created attachment 38584 [details]
LTSP hacks: enable xdmcp & bump up number of sessions
Comment 2 Havoc Pennington 2001-11-26 11:41:41 EST
This looks quite wrong for the defaults - we don't want XDCMP without the admin
knowing, that's a service that's off by default for security reasons; 
and our policy is that console access allows reboot/shutdown by default, in
several places not just gdm. The max sessions change I guess is fine, though 
that's a lot of sessions - when I talked to the LTSP guy he made it sound like
they ran 20-30 sessions off a server, not 250.
Comment 3 Jeff Johnson 2001-11-26 12:05:12 EST
Um, remembe I'm just the messanger here.

The overriding need is to simplify the setup of thin clients
as much as possible. Yes, this can be done by changing
the configuration, but some of these parameters are quite
deep and mysterious. In fact, I've watched competent
Red Hat administrators have some difficulty figgering what's
up with thin clients (with no offense to anyone).

And, fwiw, k12ltsp is designed to have 2 interfaces, one to
a secure, trusted, internal network, the other upstream, so
what's really needed is a way to have xdmcp enabled to
self configure on if policy on some interface is "secure",
if you catch my drift.
Comment 4 Havoc Pennington 2001-11-26 12:37:59 EST
I realize you're just the messsenger, I'm just assuming you'll pass the response
on, or that someone who cares will read the bug.

OK, so it sounds like the issue is that we need some way to say "switch to
terminal server mode" or "switch to thin client mode" on a distribution-wide
basis, changing various settings along the way; or maybe we just need good 
docs on how to do this...
Comment 5 Jeff Johnson 2001-11-26 12:51:50 EST
Nod, now you're talking :-)

FWIW, thin clients have applications outside of K12LTSP as well, (duh)

Thanks for looking into this.
Comment 6 Havoc Pennington 2002-02-11 18:06:18 EST
Elliot says I can assign generic distribution enhancement requests to
redhat-release, so here you go.
Comment 7 Tim Powers 2002-08-20 12:45:02 EDT
No, redhat-release is a package, not a dumping ground for generic distro
RFEs/bugs. I'm changing the component to distribution.

Tim
Comment 8 Bill Nottingham 2005-03-01 15:41:22 EST
Closing bugs on older, no longer supported releases.

This is probably better handled through variations of the Stateless Linux work.

Note You need to log in before you can comment on or make changes to this bug.